
import {ENTITY,ENTITY_COLUMN,CONSTANT_DEFINATION,DATATYPE,PROCESS_TYPE,REF_TYPE} from "./const"
import EleRef from "./EleRef"  
import InputEleRef from "./InputEleRef"; 
   

export function checkValidationDefination(tableObj,obj):{error:boolean,errorMsg:object,data:object}{
    let newObj={};
    let error={};
    for(var i in tableObj){
        if(tableObj[i][ENTITY_COLUMN.TYPE]==REF_TYPE.HIDDEN || tableObj[i][ENTITY_COLUMN.TYPE]==REF_TYPE.INPUT){
           let eref:InputEleRef=obj[i];
           let vstr=eref.processExecution();
           newObj[i]=eref.getValue();
           if(vstr){
             error[i]=vstr;
           }    
        }
    } 
    let count=0;
    for(let j in error){
        count++;
    }
    let errorStatus=count!=0;
    return {error:errorStatus,errorMsg:error,data:newObj}
}
